bcr_test_module:
  module_path: "examples"
  matrix:
    platform: ["fedora40", "ubuntu2204", "windows", "macos"]
    bazel: [7.x, 8.x]
  tasks:
    run_tests:
      name: "Build example modules"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//base:doxygen"
        - "//latex:doxygen"
        - "//doxyfile:doxygen"
        - "//doxylink:doxygen"
        - "//nested:doxygen"
        - "//custom:doxygen"
        - "//awesome:doxygen"
        - "//kwargs:doxygen"
        - "//substitutions:doxygen"
        - "//dependencies:doxygen"
        - "//executable:doxygen"
